Author Topic: I get an error while doing "make" command  (Read 722 times)

idanssa

  • Newbie
  • *
  • Posts: 1
  • Karma: +0/-0
    • View Profile
I get an error while doing "make" command
« on: November 28, 2017, 09:16:55 pm »
Hello, I have a raspberry pi 3, i try to install on it qBittorrent, I downloaded the leatest version and compiled it, now it makes an error during "make" that not allows me to continue,
Quote
pi@raspberrypi:~/Downloads/qbittorrent-4.0.1 $ make
cd src/ && ( test -e Makefile || /usr/lib/arm-linux-gnueabihf/qt5/bin/qmake /home/pi/Downloads/qbittorrent-4.0.1/src/src.pro QMAKE_LRELEASE= -o Makefile ) && make -f Makefile
make[1]: Entering directory '/home/pi/Downloads/qbittorrent-4.0.1/src'
compiling base/bittorrent/infohash.cpp
base/bittorrent/infohash.cpp: In constructor ‘BitTorrent::InfoHash::InfoHash(const sha1_hash&)’:
base/bittorrent/infohash.cpp:43:43: error: invalid operands of types ‘std::size_t() {aka unsigned int()}’ and ‘int’ to binary ‘operator*’
     char out[(libtorrent::sha1_hash::size * 2) + 1];
               ~~~~~~~~~~~~~~~~~~~~~~~~~~~~^~~
base/bittorrent/infohash.cpp:44:5: error: ‘to_hex’ is not a member of ‘libtorrent’
     libtorrent::to_hex(reinterpret_cast<const char*>(&m_nativeHash[0]), libtorrent::sha1_hash::size, out);
     ^~~~~~~~~~
base/bittorrent/infohash.cpp:44:102: error: ‘out’ was not declared in this scope
 terpret_cast<const char*>(&m_nativeHash[0]), libtorrent::sha1_hash::size, out);
                                                                           ^~~
base/bittorrent/infohash.cpp: In constructor ‘BitTorrent::InfoHash::InfoHash(const QString&)’:
base/bittorrent/infohash.cpp:54:19: error: ‘from_hex’ is not a member of ‘libtorrent’
         m_valid = libtorrent::from_hex(raw.constData(), 40, reinterpret_cast<char*>(&m_nativeHash[0]));
                   ^~~~~~~~~~
Makefile:1596: recipe for target 'infohash.o' failed
make[1]: *** [infohash.o] Error 1
make[1]: Leaving directory '/home/pi/Downloads/qbittorrent-4.0.1/src'
Makefile:42: recipe for target 'sub-src-make_first' failed
make: *** [sub-src-make_first] Error 2
]
thanks for your help!

ReallyCoolName

  • Member
  • **
  • Posts: 26
  • Karma: +0/-0
    • View Profile
Re: I get an error while doing "make" command
« Reply #1 on: December 25, 2018, 06:17:09 pm »
Just got same error when trying to compile 4.1.5 .
Trying to frantically find solution...

p.s. I found a way to compile qbt 4.1.5. using libtorrent 1.1.11, but I'm not happy with 4.1.5 so far :(
1. With same settings as with libtorrent 1.0.11 and 4.1.3 it does use more RAM (I will try to lower ram cache size from 1024MB to 768MB).
2. After adding new torrent webui updates is sporradic. Basically it stalls for quite a while (like 14 seconds), then updates progress, then stalls etc. Sure it might be due to high speeds for new torrents but there was no such issue in 4.1.3 with libtorrent 1.0.11.

Update:
After trying 4.1.5 with libtorrent 1.1.11 and 4.1.4 with libtorrent 1.1.11 I came to conclusion that on my limited resources system its a NO GO - basically webui lags noticeably to a point its not usable. Sadly due to this I had to revert back to libtorrent 1.0.11 and qbittorrent 4.1.3 (so I will have to live without FREE SPACE feature which was main reason I wanted to upgrade to 4.1.5).
Conclusion: Newest stuff is not always best.
« Last Edit: December 26, 2018, 11:17:25 am by ReallyCoolName »